<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    style="@style/passworddialog"
    android:background="@color/white"
    android:orientation="vertical" >
        <LinearLayout
            android:id="@+id/topid"
        android:layout_width="fill_parent"
        android:layout_height="38dip"
        android:background="@drawable/main_navigation_background"
        android:orientation="horizontal" >

        <RelativeLayout
            
            android:layout_width="fill_parent"
            android:layout_height="fill_parent" >
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:layout_marginTop="3dip"
                android:text="公告与升级提醒"
                android:textColor="#fff"
                android:textSize="20dp"
                android:textStyle="bold"
                android:typeface="serif" />
        </RelativeLayout>
    </LinearLayout>
    <LinearLayout 
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/topid"
        android:layout_marginTop="10dip"
        android:layout_marginLeft="10dip"
            
        android:orientation="vertical"
        >
        <TextView 
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:text="提示:"
            android:textColor="@color/black"
            />
        	<TableLayout 
        	    android:layout_width="match_parent"
        	    android:layout_height="100dip"
        	    android:layout_marginLeft="20dip"
        	    >

        	    <TableRow 
        	        android:layout_width="match_parent"
        	        android:layout_height="wrap_content"
        	        >
        	        <TextView 
        	            android:id="@+id/gonggaoid"
        	            android:layout_width="250dip"
        	            android:layout_height="100dip"
        	            android:text="@string/no_gonggao"
        	            android:textColor="@color/blue"
        	            android:textSize="13sp"
        	            />
        	    </TableRow>
        	</TableLayout>
        	 <TextView 
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:text="升级:"
            android:textColor="@color/black"
            />
        	<TableLayout 
        	    android:layout_width="match_parent"
        	    android:layout_height="100dip"
        	    android:layout_marginLeft="20dip"
        	    >
        	    <TableRow 
        	        android:layout_width="match_parent"
        	        android:layout_height="100dip"
        	        android:gravity="center_vertical"
        	        >
        	        <TextView 
        	            android:id="@+id/shengjiid"
        	            android:layout_width="250dip"
        	            android:layout_height="wrap_content"
        	            android:text="@string/no_needshengji"
        	            android:textColor="@color/blue"
        	            android:textSize="13sp"
        	            />
        	    </TableRow>
        	</TableLayout>
        

    </LinearLayout>
	<LinearLayout 
	    android:layout_width="fill_parent"
	    android:layout_height="wrap_content"
	    android:layout_alignParentBottom="true"
	    android:orientation="vertical"
	    >
        		<TextView 
        	    android:layout_width="wrap_content"
        	    android:layout_height="wrap_content"
        	    android:text="点击网址下载"
        	    />
        	<TextView 
        	        android:id="@+id/wangzhi"
        	        android:layout_width="250dip"
        	        android:layout_height="wrap_content"
        	        android:text="@string/xintiwangzhi"
        	        android:textColor="@color/blue"
        	        android:layout_marginLeft="20dip"
        	        android:textSize="13sp"
        	        />
        	        	    <TextView android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="在线更新"
        android:layout_marginLeft="2dip"
        android:id="@+id/txt_status"/>
    <ProgressBar android:layout_width="fill_parent"
        android:layout_height="10dip"
        android:id="@+id/progress_bar"
        android:layout_margin="2dip"
        style="@android:style/Widget.ProgressBar.Horizontal"/>
        	  <CheckBox
                android:id="@+id/shengjicheck"
                style="@style/MyCheckBox"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/allowshengjitoast"                 
                android:textColor="#000"
                android:layout_gravity="center"
                android:textSize="12dip" />
	    
	    <Button
            android:id="@+id/gonggaoandshengji_btn"
            android:layout_width="fill_parent"
            android:layout_height="50dip"
            android:background="@color/green"
            android:onClick="onAction"
            android:text="立即在线更新"
            android:textSize="20dip" />
	</LinearLayout>
</RelativeLayout>